#ifndef INCL_CONFIG_H

/* This file is the configuration file for the db layer. */
/* Ripped wholesale from UnterMUD, by mjr */

/*-------------------Mud Server Configuration Parameters---------------------*/
/* Most of these options you shouldn't need to change. Read them anyway. */

/* default (runtime-resettable) cache parameters */
#define CACHE_DEPTH 23
#define CACHE_WIDTH 7

/* enable this if you want cache warnings if objects are missing */
#define CACHE_VERBOSE


#include "ndbm.h"

/* name to use for the default dbm database file */
#define DEFAULT_DBMCHUNKFILE    "dbm_db"
#define STORAGE_IS_DBMCHUNK

/* these macros cause correct linkage with storage layer - don't touch */
#ifdef  STORAGE_IS_DBMCHUNK
#define DB_INIT(flg)    dddb_init(flg)
#define DB_CLOSE()  dddb_close()
#define DB_GET(n)   dddb_get(n)
#define DB_PUT(o,n) dddb_put(o,n)
#define DB_CHECK(s) dddb_check(s)
#define DB_DEL(n,f) dddb_del(n,f)
#endif

/* various debug flags - turn all on for a WILD time */
/*
#define DBMCHUNK_DEBUG
#define CACHE_DEBUG
*/

#define INCL_CONFIG_H
#endif
